### Method

# Gimp RGB parse_name

#### Declaration [src]

    gboolean
    gimp_rgb_parse_name (
      GimpRGB* rgb,
      const gchar* name,
      gint len
    )

#### Description [src]

Attempts to parse a color name. This function accepts SVG 1.0 color keywords.

This function does not touch the alpha component of `rgb`.

Available since: | 2.2

#### Parameters

`name` | An array of `gchar`
| A color name (in UTF-8 encoding)
| The length of the array is specified in the `len` argument.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`len` | `gint`
| The length of `name`, in bytes. or -1 if `name` is nul-terminated.

#### Return value

Returns: | `gboolean`
| `TRUE` if `name` was parsed successfully and `rgb` has been set, `FALSE` otherwise.